Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.print
Interface URIException

    public interface URIException

Interface URIException is a mixin interface which a subclass of `PrintException` can implement to report an error condition involving a URI address. The Print Service API does not define any print exception classes that implement interface URIException, that being left to the Print Service implementor's discretion.

Field Summary
`static int` | `URIInaccessible` Indicates that the printer cannot access the URI address.
`static int` | `URIOtherProblem` Indicates any kind of problem not specifically identified by the other reasons.
`static int` | `URISchemeNotSupported` Indicates that the printer does not support the URI scheme ("http", "ftp", etc.) in the URI address.

Method Summary
`int` | `getReason()` Return the reason for the event.
`URI` | `getUnsupportedURI()` Return the URI.

Field Detail

### URIInaccessible

    static final int URIInaccessible

  Indicates that the printer cannot access the URI address. For example, the printer might report this error if it goes to get the print data and cannot even establish a connection to the URI address.

  See Also:
    Constant Field Values

### URISchemeNotSupported

    static final int URISchemeNotSupported

  Indicates that the printer does not support the URI scheme ("http", "ftp", etc.) in the URI address.

  See Also:
    Constant Field Values

### URIOtherProblem

    static final int URIOtherProblem

  Indicates any kind of problem not specifically identified by the other reasons.

  See Also:
    Constant Field Values

Method Detail

### getUnsupportedURI

    URI getUnsupportedURI()

  Return the URI.

  Returns:
    the URI that is the cause of this exception.

### getReason

    int getReason()

  Return the reason for the event.

  Returns:
    one of the predefined reasons enumerated in this interface.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2008 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.